> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ファイルカテゴリを修正

> - 通常タスクの場合、通常タスクのファイルカテゴリを修正します
- 文書分割タスクの場合、分割後ファイルのファイルタイプとページ番号を修正します
- 複数画像クロップタスクの場合、クロップ後ファイルのファイルタイプを修正します




## OpenAPI

````yaml /docflow-global/ja/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/file/amend_category
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API。ファイルアップロードとファイル処理結果の取得機能を提供します。
  version: 2.8.4
  contact:
    name: TextIn
    url: https://www.textin.ai/contact?type=27&sub_type=1
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
tags:
  - name: ワークスペース管理
    description: ワークスペース関連 API
  - name: ファイルカテゴリ
    description: ファイルカテゴリ関連 API
  - name: ファイルカテゴリサンプル
    description: ファイルカテゴリサンプル関連 API
  - name: スマートレビュー
    description: スマートレビュー関連 API
  - name: 廃止済み
    description: 廃止済み API
paths:
  /api/app-api/sip/platform/v2/file/amend_category:
    post:
      summary: ファイルカテゴリを修正
      description: |
        - 通常タスクの場合、通常タスクのファイルカテゴリを修正します
        - 文書分割タスクの場合、分割後ファイルのファイルタイプとページ番号を修正します
        - 複数画像クロップタスクの場合、クロップ後ファイルのファイルタイプを修正します
      operationId: amendCategory
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                workspace_id:
                  type: string
                  description: ワークスペース ID
                  example: 1234567890
                task_id:
                  type: string
                  description: タスク ID
                  example: 1234567890
                category:
                  type: string
                  description: |
                    新しいファイルカテゴリ。
                    タスクタイプが通常タスクの場合のみ対応しています。
                  example: 電子インボイス（普通インボイス）
                split_tasks:
                  description: 文書分割タスクリスト
                  type: array
                  items:
                    type: object
                    properties:
                      category:
                        type: string
                        description: サブタスクのファイルカテゴリ
                        example: 電子インボイス（普通インボイス）
                      pages:
                        type: array
                        items:
                          type: integer
                          description: サブファイルのページ番号。0 から開始します
                        example:
                          - 0
                          - 1
                crop_tasks:
                  description: 複数画像クロップタスクリスト
                  type: array
                  items:
                    type: object
                    properties:
                      crop_child_task_id:
                        type: string
                        description: 複数画像クロップのサブタスク ID
                        example: 1234567890
                      category:
                        type: string
                        description: サブタスクのファイルカテゴリ
                        example: 電子インボイス（普通インボイス）
              required:
                - workspace_id
                - task_id
      responses:
        '200':
          description: ファイルカテゴリの更新に成功
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: ステータスコード
          example: 200
        msg:
          type: string
          description: ステータス説明
      required:
        - code
        - msg
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````